Bug 491932 - RAID0 manual install fails - TypeError: %d format: a number is required, not NoneType
RAID0 manual install fails - TypeError: %d format: a number is required, not ...
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
rawhide
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Anaconda Maintenance Team
Fedora Extras Quality Assurance
anaconda_trace_hash:9251a547092f5f443...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-03-24 13:19 EDT by James Laska
Modified: 2013-09-02 02:33 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-04-23 15:22:11 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Attached traceback automatically from anaconda. (125.18 KB, text/plain)
2009-03-24 13:19 EDT, James Laska
no flags Details

  None (edit)
Description James Laska 2009-03-24 13:19:14 EDT
The following was filed automatically by anaconda:
anaconda 11.5.0.36 exception report
Traceback (most recent call first):
  File "/tmp/updates/partition_gui.py", line 794, in populate
    self.tree[iter]['Size (MB)'] = "%Ld" % array.size
  File "/tmp/updates/partition_gui.py", line 1055, in refresh
    self.populate()
  File "/tmp/updates/partition_gui.py", line 1099, in editRaidArray
    if self.refresh(justRedraw=True):
  File "/tmp/updates/partition_gui.py", line 1290, in makeraidCB
    self.editRaidArray(array, isNew=1)
TypeError: %d format: a number is required, not NoneType
Comment 1 James Laska 2009-03-24 13:19:19 EDT
Created attachment 336504 [details]
Attached traceback automatically from anaconda.
Comment 2 James Laska 2009-03-24 13:25:32 EDT
Do a manual RAID0 install, when creating /dev/md0 do *not* select any RAID members, and click Create.
Comment 3 Chris Lumens 2009-04-23 14:16:36 EDT
I'm no longer seeing the original error, but I am seeing a different bug where you're allowed to create a RAID device with no members.  Sent a patch, will close this bug when it's in.
Comment 4 Chris Lumens 2009-04-23 15:22:11 EDT
...and pushed.

Note You need to log in before you can comment on or make changes to this bug.